Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA::TypeCode::BadKind Class Reference

`#include <Typecode.h>`

Inheritance diagram for CORBA::TypeCode::BadKind:

[legend]
Collaboration diagram for CORBA::TypeCode::BadKind:

[legend]
List of all members.

## Public Methods
| BadKind (void)
virtual CORBA::Exception * | _tao_duplicate (void) const
| Deep copy.
virtual void | _raise (void) const
virtual void | _tao_encode (TAO_OutputCDR &cdr ACE_ENV_ARG_DECL_NOT_USED) const
virtual void | _tao_decode (TAO_InputCDR &cdr ACE_ENV_ARG_DECL_NOT_USED)
## Static Public Methods
BadKind * | _downcast (CORBA::Exception *ex)
| The narrow operation.
CORBA::Exception * | _alloc (void)

## Constructor & Destructor Documentation

CORBA::TypeCode::BadKind::BadKind | ( | void |  | ) |

## Member Function Documentation

CORBA::Exception* CORBA::TypeCode::BadKind::_alloc | ( | void |  | ) | `[static]`

CORBA::TypeCode::BadKind * CORBA::TypeCode::BadKind::_downcast | ( | CORBA::Exception * | ex | ) | `[static]`

| The narrow operation. Reimplemented from CORBA::UserException.

void CORBA::TypeCode::BadKind::_raise | ( | void |  | ) | const`[virtual]`

| Implements CORBA::UserException.

virtual void CORBA::TypeCode::BadKind::_tao_decode | ( | TAO_InputCDR &cdr | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

| Implements CORBA::Exception.

CORBA::Exception * CORBA::TypeCode::BadKind::_tao_duplicate | ( | void |  | ) | const`[virtual]`

| Deep copy. The following operation is used in the implementation of it performs a deep copy of the exception, normally it is implemented as:
     class SomeException : public // Derives from CORBA::Exception
     {
     public:
       virtual CORBA::Exception *_tao_duplicate (void) const
       {
         return new SomeException (*this);
       }
     };
Implements CORBA::Exception.

void CORBA::TypeCode::BadKind::_tao_encode | ( | TAO_OutputCDR &cdr | ACE_ENV_ARG_DECL_NOT_USED | ) | const`[virtual]`

| Implements CORBA::Exception.

The documentation for this class was generated from the following files:

- Typecode.h
- Typecode.cpp